"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.combineSettings = void 0;
const aperture_1 = require("./aperture");
const Lens_1 = require("../Lens");
const lodash_1 = require("lodash");
/**
 * Guarantees that all settings have a defined value
 */
function combineSettings(options, customDefaults = Lens_1.builtInDefaults) {
    const combined = (0, lodash_1.defaults)({}, options, customDefaults, Lens_1.builtInDefaults);
    const aperture = (0, aperture_1.toActualAperture)({
        input: options.aperture,
        defaultOptionsAperture: Lens_1.builtInDefaults.aperture,
        customSettingsAperture: customDefaults.aperture,
    });
    return Object.assign(Object.assign({}, combined), { aperture });
}
exports.combineSettings = combineSettings;
//# sourceMappingURL=combineSettings.js.map