"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const decimalAdjust_1 = require("./decimalAdjust");
describe('decimalAdjust', () => {
    test('converts values correctly', () => {
        expect((0, decimalAdjust_1.decimalAdjust)(0)).toBe(0);
        expect((0, decimalAdjust_1.decimalAdjust)(0.0)).toBe(0);
        expect((0, decimalAdjust_1.decimalAdjust)(0.0000001)).toBe(0);
        expect((0, decimalAdjust_1.decimalAdjust)(1)).toBe(1);
        expect((0, decimalAdjust_1.decimalAdjust)(1.0)).toBe(1);
        expect((0, decimalAdjust_1.decimalAdjust)(1.1)).toBe(1.1);
        expect((0, decimalAdjust_1.decimalAdjust)(10)).toBe(10);
        expect((0, decimalAdjust_1.decimalAdjust)(10.0)).toBe(10);
        expect((0, decimalAdjust_1.decimalAdjust)(1e2)).toBe(100);
        expect((0, decimalAdjust_1.decimalAdjust)(1.2e3)).toBe(1200);
        expect((0, decimalAdjust_1.decimalAdjust)(1.0e4)).toBe(10000);
        expect((0, decimalAdjust_1.decimalAdjust)(1.0e24)).toBe(1e24);
        expect((0, decimalAdjust_1.decimalAdjust)(NaN)).toBe(NaN);
    });
});
//# sourceMappingURL=decimalAdjust.test.js.map