"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatFeet = void 0;
/**
 * Converts a numeric value into standard notation for feet and inches
 *
 * @example 5.5` -> 5' 6"`
 *
 * @param  feet     Length in feet
 * @return          Length (feet/inches) as a decimal, or infinity
 */
function formatFeet(feet) {
    if (feet === Infinity) {
        return 'Infinity';
    }
    else {
        return Math.floor(feet) + "' " + ((feet * 12) % 12).toFixed(1) + '"';
    }
}
exports.formatFeet = formatFeet;
//# sourceMappingURL=formatFeet.js.map